import vl from 'vega-lite-api';

const points = vl
	.markCircle({size: 400, opacity: .5})
	.project(
    vl.projection('albersUsa')
  )
  .encode(
    vl.longitude().fieldQ('LONGITUDE'),
    vl.latitude().fieldQ('LATITUDE'),
    vl.color().fieldQ('Level'),
    vl.tooltip().fieldN('Org Name'),
  );

const map = vl.markGeoshape({fill: '87CEFA', stroke: '#fff', strokeWidth: 1})
    .data(vl.topojson('https://raw.githubusercontent.com/vega/vega/master/docs/data/us-10m.json').feature('states'));

export const viz = vl
	.layer(map, points);